NXP NFC Reader Library v4.040.05.011646

Data Fields
phpalI18092mT_Sw_DataParams_t Struct Reference
Protocol Abstraction Layer » ISO/IEC 18092 Mode Target » Component : Software

ISO18092 mode passive target parameter structure. More...

## Data Fields
uint16_t | wId
| Layer ID for this component, NEVER MODIFY.
void * | pHalDataParams
| Pointer to the parameter structure of underlying hardware component.
void * | pPlatform
| Pointer to OSAL layer. More...
void * | ovrTask
| Task context. More...
void * | pTimerHandle
| Timer Handle (For RTOX). More...
pRtoxTimerCallback | pRtoxCallback
| Holds RTOX Callback function address.
uint16_t | wLastTxLen
| Last successful DEP send length. More...
uint8_t | aNfcid3i [PHPAL_I18092MT_NFCID3_LENGTH]
| Array holding 10 bytes long NFCID3. More...
uint8_t | aNfcid3t [PHPAL_I18092MT_NFCID3_LENGTH]
| Array holding 10 bytes long NFCID3 of the PCD. More...
uint8_t | bStateNow
| Current Exchange-State. More...
uint8_t | bDid
| Device Identifier; '0' to disable usage else 1-14. More...
uint8_t | bNadEnabled
| Indicates presence of Node Address. More...
uint8_t | bNadVal
| Node Address; Ignored if bNadEnabled is equal '0'. More...
uint8_t | bFsl
| Frame Length Byte; 0-3. More...
uint8_t | bPni
| Current Packet Number (Packet number information); 0-3. More...
uint8_t | bDst
| Divisor Send Integer; 0-2. More...
uint8_t | bDrt
| Divisor Receive Integer; 0-2. More...
uint8_t | bBsi
| Send bit-rate supported by the PCD. More...
uint8_t | bBri
| Receive bit-rate supported by the PCD. More...
uint8_t | bLri
| Length reduction value is stored here. More...
uint8_t | bBst
| Send bit-rate supported by the PCD. More...
uint8_t | bBrt
| Receive bit-rate supported by the PCD. More...
uint8_t | bLrt
| Length reduction value is stored here. More...
uint8_t | bTo
| Hold the time out value. More...
uint8_t | bRtoxDisabled
| RTOX Disabler (i.e. More...
uint8_t | bRtoxExtnVal
| Response timeout extension value. More...
uint8_t | bCmdtype
| Holds the type of Command send by target. More...
phOsal_EventObj_t | Pal18092mTEventObj
| Handle for Event. More...

## Detailed Description

ISO18092 mode passive target parameter structure.

## Field Documentation

## § pPlatform

void* phpalI18092mT_Sw_DataParams_t::pPlatform

Pointer to OSAL layer.

## § ovrTask

void* phpalI18092mT_Sw_DataParams_t::ovrTask

Task context.

## § pTimerHandle

void* phpalI18092mT_Sw_DataParams_t::pTimerHandle

Timer Handle (For RTOX).

## § wLastTxLen

uint16_t phpalI18092mT_Sw_DataParams_t::wLastTxLen

Last successful DEP send length.

## § aNfcid3i

uint8_t phpalI18092mT_Sw_DataParams_t::aNfcid3i[PHPAL_I18092MT_NFCID3_LENGTH]

Array holding 10 bytes long NFCID3.

## § aNfcid3t

uint8_t phpalI18092mT_Sw_DataParams_t::aNfcid3t[PHPAL_I18092MT_NFCID3_LENGTH]

Array holding 10 bytes long NFCID3 of the PCD.

## § bStateNow

uint8_t phpalI18092mT_Sw_DataParams_t::bStateNow

Current Exchange-State.

## § bDid

uint8_t phpalI18092mT_Sw_DataParams_t::bDid

Device Identifier; '0' to disable usage else 1-14.

## § bNadEnabled

uint8_t phpalI18092mT_Sw_DataParams_t::bNadEnabled

Indicates presence of Node Address.

1 = present.

## § bNadVal

uint8_t phpalI18092mT_Sw_DataParams_t::bNadVal

Node Address; Ignored if bNadEnabled is equal '0'.

## § bFsl

uint8_t phpalI18092mT_Sw_DataParams_t::bFsl

Frame Length Byte; 0-3.

## § bPni

uint8_t phpalI18092mT_Sw_DataParams_t::bPni

Current Packet Number (Packet number information); 0-3.

## § bDst

uint8_t phpalI18092mT_Sw_DataParams_t::bDst

Divisor Send Integer; 0-2.

## § bDrt

uint8_t phpalI18092mT_Sw_DataParams_t::bDrt

Divisor Receive Integer; 0-2.

## § bBsi

uint8_t phpalI18092mT_Sw_DataParams_t::bBsi

Send bit-rate supported by the PCD.

## § bBri

uint8_t phpalI18092mT_Sw_DataParams_t::bBri

Receive bit-rate supported by the PCD.

## § bLri

uint8_t phpalI18092mT_Sw_DataParams_t::bLri

Length reduction value is stored here.

## § bBst

uint8_t phpalI18092mT_Sw_DataParams_t::bBst

Send bit-rate supported by the PCD.

## § bBrt

uint8_t phpalI18092mT_Sw_DataParams_t::bBrt

Receive bit-rate supported by the PCD.

## § bLrt

uint8_t phpalI18092mT_Sw_DataParams_t::bLrt

Length reduction value is stored here.

## § bTo

uint8_t phpalI18092mT_Sw_DataParams_t::bTo

Hold the time out value.

## § bRtoxDisabled

uint8_t phpalI18092mT_Sw_DataParams_t::bRtoxDisabled

RTOX Disabler (i.e.

'0' if RTOX enabled).

## § bRtoxExtnVal

uint8_t phpalI18092mT_Sw_DataParams_t::bRtoxExtnVal

Response timeout extension value.

## § bCmdtype

uint8_t phpalI18092mT_Sw_DataParams_t::bCmdtype

Holds the type of Command send by target.

## § Pal18092mTEventObj

phOsal_EventObj_t phpalI18092mT_Sw_DataParams_t::Pal18092mTEventObj

Handle for Event.

The documentation for this struct was generated from the following file:

- phpalI18092mT.h